import { DimensionSegment } from './dimension_segment';
import { Query } from './query';
export declare class SegmentedQuery {
    query: Query;
    segments: DimensionSegment[];
    constructor(query: Query, segments: DimensionSegment[]);
    get key(): string;
    static segmentsFromKey(key: string): DimensionSegment[];
}
